[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] Problem Upgrading from LVM1 to LVM2



On Mon, Jan 10, 2005 at 08:43:24AM -0500, Mark T. Valites wrote:
>   logical extent (56202) already mapped.
>   Couldn't fill logical volume maps.

Metadata corruption: eg 2 LV sharing a PE.
If you forcibly ran LVM1 and LVM2 on the same VG at the same time 
that could lead to this.

Make sure you're using a recent version of LVM2.

You'll need to restore your metadata from a backup
using vgcfgrestore - but first you need to work out which
is the correct backup to restore from, then use either lvm1
or lvm2 vgcfgrestore depending which format that
backup is in.

Alasdair
-- 
agk redhat com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]